> ## Documentation Index
> Fetch the complete documentation index at: https://flexprice-mintlify-1c79503c.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integration configurations

> Returns the base capabilities and current sync configuration for all connected providers.



## OpenAPI

````yaml /api-reference/openapi.json get /integrations/config
openapi: 3.0.1
info:
  title: Flexprice API
  description: Flexprice API Service
  contact:
    name: API Support
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1.0'
servers:
  - url: https://us.api.flexprice.io/v1
    description: US Region
  - url: https://api.cloud.flexprice.io/v1
    description: India Region
security: []
paths:
  /integrations/config:
    get:
      tags:
        - Integrations
      summary: Get integration configurations
      description: >-
        Returns the base capabilities and current sync configuration for all
        connected providers.
      operationId: getIntegrationConfig
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationConfigResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    IntegrationConfigResponse:
      type: object
      properties:
        integrations:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationConfigEntry'
    errors.ErrorResponse:
      type: object
      properties:
        code:
          $ref: '#/components/schemas/errors.ErrorCode'
        http_status_code:
          type: integer
        message:
          type: string
      x-speakeasy-name-override: ErrorResponse
    IntegrationConfigEntry:
      type: object
      properties:
        base_config:
          $ref: '#/components/schemas/types.SyncConfig'
        current_config:
          $ref: '#/components/schemas/types.SyncConfig'
        provider:
          $ref: '#/components/schemas/types.SecretProvider'
    errors.ErrorCode:
      type: string
      enum:
        - http_client_error
        - system_error
        - internal_error
        - not_found
        - already_exists
        - version_conflict
        - validation_error
        - invalid_operation
        - permission_denied
        - database_error
        - service_unavailable
        - too_many_requests
      x-enum-varnames:
        - ErrCodeHTTPClient
        - ErrCodeSystemError
        - ErrCodeInternalError
        - ErrCodeNotFound
        - ErrCodeAlreadyExists
        - ErrCodeVersionConflict
        - ErrCodeValidation
        - ErrCodeInvalidOperation
        - ErrCodePermissionDenied
        - ErrCodeDatabase
        - ErrCodeServiceUnavailable
        - ErrCodeTooManyRequests
      x-speakeasy-name-override: ErrorCode
    types.SyncConfig:
      type: object
      properties:
        customer:
          $ref: '#/components/schemas/types.EntitySyncConfig'
        deal:
          $ref: '#/components/schemas/types.EntitySyncConfig'
        invoice:
          $ref: '#/components/schemas/types.EntitySyncConfig'
        invoice_sync_settings:
          $ref: '#/components/schemas/types.InvoiceSyncSettings'
        payment:
          $ref: '#/components/schemas/types.EntitySyncConfig'
        plan:
          $ref: '#/components/schemas/types.EntitySyncConfig'
        quote:
          $ref: '#/components/schemas/types.EntitySyncConfig'
        s3:
          $ref: '#/components/schemas/types.S3ExportConfig'
        subscription:
          $ref: '#/components/schemas/types.EntitySyncConfig'
      x-speakeasy-name-override: SyncConfig
    types.SecretProvider:
      type: string
      enum:
        - flexprice
        - stripe
        - s3
        - hubspot
        - razorpay
        - chargebee
        - quickbooks
        - zoho_books
        - nomod
        - moyasar
        - paddle
        - whop
      x-enum-comments:
        SecretProviderS3: supports multiple connections per environment
      x-enum-varnames:
        - SecretProviderFlexPrice
        - SecretProviderStripe
        - SecretProviderS3
        - SecretProviderHubSpot
        - SecretProviderRazorpay
        - SecretProviderChargebee
        - SecretProviderQuickBooks
        - SecretProviderZohoBooks
        - SecretProviderNomod
        - SecretProviderMoyasar
        - SecretProviderPaddle
        - SecretProviderWhop
      x-speakeasy-name-override: SecretProvider
    types.EntitySyncConfig:
      type: object
      properties:
        inbound:
          type: boolean
          description: Inbound from external provider to FlexPrice
        outbound:
          type: boolean
          description: Outbound from FlexPrice to external provider
      x-speakeasy-name-override: EntitySyncConfig
    types.InvoiceSyncSettings:
      type: object
      properties:
        normalize_fixed_to:
          $ref: '#/components/schemas/types.BillingPeriod'
      x-speakeasy-name-override: InvoiceSyncSettings
    types.S3ExportConfig:
      type: object
      properties:
        bucket:
          type: string
          description: S3 bucket name
        compression:
          $ref: '#/components/schemas/types.S3CompressionType'
        encryption:
          $ref: '#/components/schemas/types.S3EncryptionType'
        is_flexprice_managed:
          type: boolean
          description: >-
            If true, use Flexprice-managed S3 credentials instead of
            user-provided
        key_prefix:
          type: string
          description: Optional prefix for S3 keys (e.g., "flexprice-exports/")
        region:
          type: string
          description: AWS region (e.g., "us-west-2")
      x-speakeasy-name-override: S3ExportConfig
    types.BillingPeriod:
      type: string
      enum:
        - MONTHLY
        - ANNUAL
        - WEEKLY
        - DAILY
        - QUARTERLY
        - HALF_YEARLY
        - ONETIME
      x-enum-varnames:
        - BILLING_PERIOD_MONTHLY
        - BILLING_PERIOD_ANNUAL
        - BILLING_PERIOD_WEEKLY
        - BILLING_PERIOD_DAILY
        - BILLING_PERIOD_QUARTER
        - BILLING_PERIOD_HALF_YEAR
        - BILLING_PERIOD_ONETIME
      x-speakeasy-name-override: BillingPeriod
    types.S3CompressionType:
      type: string
      enum:
        - none
        - gzip
      x-enum-varnames:
        - S3CompressionTypeNone
        - S3CompressionTypeGzip
      x-speakeasy-name-override: S3CompressionType
    types.S3EncryptionType:
      type: string
      enum:
        - AES256
        - aws:kms
        - aws:kms:dsse
      x-enum-varnames:
        - S3EncryptionTypeAES256
        - S3EncryptionTypeAwsKms
        - S3EncryptionTypeAwsKmsDsse
      x-speakeasy-name-override: S3EncryptionType
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Enter your API key in the format *x-api-key &lt;api-key&gt;**
      name: x-api-key
      in: header

````